/*
DESCRIPTION:
Any functions that are used internally by the use-case
*/
package personcontact

import (
	e "simrs-vx/internal/domain/main-entities/person-contact"
)

func setData[T *e.CreateDto | *e.UpdateDto](input T, data *e.PersonContact) {
	var inputSrc *e.CreateDto
	if inputT, ok := any(input).(*e.CreateDto); ok {
		inputSrc = inputT
	} else {
		inputTemp := any(input).(*e.UpdateDto)
		inputSrc = &inputTemp.CreateDto
	}

	data.Person_Id = inputSrc.Person_Id
	data.Type_Code = inputSrc.Type_Code
	data.Value = inputSrc.Value
}
